# $Revision: 1.45 $, $Date: 2005/05/11 17:05:48 $
Summary:	Utility programs for the AWE32 sound driver
Summary(pl):	Programy pomocnicze dla sterownika SoundBlastera AWE32
Summary(ru):	    AWE32
Summary(uk):	̦    AWE32
Name:		awesfx
Version:	0.5.0d
Release:	2
License:	GPL v2
Group:		Applications/Sound
Source0:	http://www.alsa-project.org/~iwai/%{name}-%{version}.tar.gz
# Source0-md5:	c258e52dd67a41fc20a31d25836c7256
# Source1:	http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Source1:	gu11-rom.zip
# Source1-md5:	fe8f019945c0cbfc2d38dc5f0f94eb24
Patch0:		%{name}-etc_dir.patch
URL:		http://www.alsa-project.org/~iwai/awedrv.html#Utils
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	unzip
Obsoletes:	awesfx-devel
ExclusiveArch:	%{ix86} %{x8664} alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The awesfx package contains necessary utilities for the AWE32 sound
driver. This package contains the following programs:
 - asfxload - soundFont file loader for ALSA
 - sfxload - soundFont file loader for OSS emulation
 - setfx - chorus/reverb effect loader
 - aweset - change the running mode of AWE driver
 - sf2text - convert SoundFont to readable text
 - text2sf - revert from text to SoundFont file
 - gusload - GUS PAT file loader
 - sfxtest - example program to control AWE driver

%description -l pl
Pakiet awesfx zawiera programy niezbdne dla wykorzystania moliwoci
sterownika SoundBlastera AWE32. Pakiet zawiera nastpujce programy:
 - asfxload - program adujcy SoundFonty dla ALSy
 - sfxload - program adujcy SoundFonty dla emulacji OSS
 - setfx - program adujcy efekty chorus/reverb
 - aweset - zmiana parametrw pracy sterownika AWE
 - sf2text - konwerter SoundFontw do postaci tekstowej
 - text2sf - konwerter z postaci tekstowej na SoundFont
 - gusload - program adujcy pliki PAT karty Gravis UltraSound
 - sfxtest - przykadowy program wykorzystujcy sterownika AWE

%description -l ru
 awesfx      AWE32.

%description -l uk
 awesfx ͦ ̦  ϧ  AWE32.

%prep
%setup -q
install -d gu11-rom
unzip %{SOURCE1} -d gu11-rom
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/sfxload $RPM_BUILD_ROOT/bin
mv -f $RPM_BUILD_ROOT%{_bindir}/asfxload $RPM_BUILD_ROOT/bin
cp -f gu11-rom/GU11-ROM.{INS,SF2} $RPM_BUILD_ROOT%{_datadir}/sounds/sf2
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/asfxload.1
echo '.so sfxload.1' > $RPM_BUILD_ROOT%{_mandir}/man1/asfxload.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README SBKtoSF2.txt gu11-rom/*.TXT
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/sounds/sf2
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: awesfx.spec,v $
Revision 1.45  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.44  2005/04/05 10:34:01  ankry
EA += amd64 (by Przemyslaw Bialek), rel. 2

Revision 1.43  2004/11/04 22:16:59  freetz
- 0.5.0d, STBR

Revision 1.42  2004/07/24 11:10:11  freetz
- 0.5.0c

Revision 1.41  2004/02/10 01:27:19  freetz
- 0.5.0a (compile warning fixes only)

Revision 1.40  2004/02/07 10:56:06  qboosh
- Obsoletes for awesfx-devel, use .so instead of copying manual

Revision 1.39  2004/02/06 19:03:14  freetz
- updated to 0.5.0
- added ac/am/lt stuff
- updated descriptions
- updated BRs
- removed make patch
- devel package removed (obsoleted)
- %%files update

Revision 1.38  2003/12/06 19:03:51  freetz
- url updated

Revision 1.37  2003/08/21 14:58:06  qboosh
- updated etc_dir patch (s/ETC_DIR/HOME_ETC/, leave dots)

Revision 1.36  2003/08/21 14:55:18  qboosh
- killed subshell, cosmetics

Revision 1.35  2003/08/20 15:04:09  adgor
- Typo

Revision 1.34  2003/08/06 16:32:04  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.33  2003/06/10 14:34:25  ankry
- proper Source0-md5

Revision 1.32  2003/06/10 14:25:38  ankry
- fixed URL, fixed/added md5

Revision 1.31  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 05:45:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.28  2003/03/23 17:13:06  juandon
- added home_etc.patch
- Release 3

Revision 1.27  2003/01/31 22:22:31  migo
- fixes/typos in summaries/descriptions

Revision 1.26  2002/12/12 01:33:20  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.25  2002/06/30 11:30:40  kloczek
- use new %doc.

Revision 1.24  2002/06/30 11:14:34  marcus
- rel.2.
- on ppc it compiles too

Revision 1.23  2002/04/25 15:50:44  arturs
fixed a small typo

Revision 1.22  2002/02/25 08:46:48  kloczek
- merge translations from KSI.

Revision 1.21  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/18 08:19:06  marcus
- fix in %%{_make} call,stb

Revision 1.19  2002/02/18 00:19:29  marcus
- new version 0.4.4

Revision 1.18  2002/02/17 20:27:25  marcus
-adapterized, rel. 3

Revision 1.17  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/26 14:32:35  qboosh
- adapterized, s/BuildPrereq/BuildRequires/

Revision 1.15  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.14  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.12  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.11  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/31 01:02:15  kloczek
- release 2.

Revision 1.9  2000/03/30 10:10:47  wiget
BuildPrereq:  unzip

Revision 1.8  2000/03/02 22:59:00  mkochano
- RPM_OPT_FLAGS removed from Makefile (replaced by OPT_FLAGS).

Revision 1.7  2000/02/04 00:18:26  kloczek
- release 1 (in rawhide is 0.4.3a).

Revision 1.6  2000/02/04 00:16:03  kloczek
- release 3 (in rawhide is 2),
- beter separation between main and devel packages,
- removed SONAME symlinks from main,
- run /sbin.ldconfig in %post/%postun,
- changed permission on libraries to 755/root.root.

Revision 1.5  2000/02/03 13:13:41  mkochano
- Added polish descriptions, summaries and groups
- Header files in separate package (devel)
- Sample SoundFont moved to %{_datadir}/midi/soundfont/gu11-rom.sf2
- Sample Virtual Banks moved to %{_datadir}/midi/virtualbank
- More documentation (%doc)
- Added 'strip --strip-unneeded'
- Uses 'awe_voice.h' included in kernel sources.

Revision 1.4  1999/11/30 07:53:13  kloczek
- new %description,
- more rpm macros,
- some cosmetics and reorders.

Revision 1.3  1999/11/30 00:19:37  wiget
- version number changed to 0.4.3b (patches need sync)

Revision 1.2  1999/11/29 21:44:20  wiget
- adapter(ized)
- updated to 0.4.3b

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw
